### Method

# Gdk DmabufTextureBuilder set_fd

since: 4.14

#### Declaration [src]

    void
    gdk_dmabuf_texture_builder_set_fd (
      GdkDmabufTextureBuilder* self,
      unsigned int plane,
      int fd
    )

#### Description [src]

Sets the file descriptor for a plane or to -1 to unset it.

Available since: 4.14

#### Parameters

`plane`

  Type: `unsigned int`

  The plane to set the fd for.

`fd`

  Type: `int`

  The file descriptor.